{{ define "main" }}
<!-- page info section e.g. current tag & total archive pages -->
<div class="page-info">
    <span>{{ i18n "archivesTotalPages" }}{{ len (where .Site.RegularPages "Type" "in" .Site.Params.mainSections) }}</span>
</div>
<!-- archives range in all posts -->
{{ range (where .Site.RegularPages "Type" "in" .Site.Params.mainSections).GroupByDate "2006" }}
<div class="archive-year">
    <h2 id="{{ .Key }}">{{ .Key }}</h2>
</div>
  {{ range .Pages }}
<div class="post-archive">
    <h3 class="post-title-archive">
        <a href="{{ .Permalink }}">{{ .Title }}</a>
    </h3>
    <div class="post-meta-archive link-alter">
        {{ partial "post-meta.html" . }}
    </div>
</div>
{{ end }}
{{ end }}
{{ end }}
